import { IParkingsFeature } from "#og/transformations/interfaces/IParkingFeature";
import { GeoCoordinatesType } from "@golemio/core/dist/output-gateway";

export const featureLocationItemData16424: IParkingsFeature = {
    geometry: {
        coordinates: [
            [
                [
                    [14.442026998000074, 50.06601274800005],
                    [14.442419875000041, 50.06614420200003],
                    [14.442591187000062, 50.06619752600005],
                    [14.442808352000043, 50.066260947000046],
                    [14.442850540000052, 50.06627157200006],
                    [14.442861204000053, 50.06627366200007],
                    [14.442861340000036, 50.06627368800008],
                    [14.442865644000051, 50.06626524500007],
                    [14.442870553000034, 50.06625561700008],
                    [14.442858070000057, 50.066253062000044],
                    [14.442822584000055, 50.06624306500004],
                    [14.442603739000049, 50.06618012200005],
                    [14.442432840000038, 50.06612731600006],
                    [14.442041462000077, 50.06599543900006],
                    [14.442026998000074, 50.06601274800005],
                ],
            ],
            [
                [
                    [14.442957874000058, 50.066294001000074],
                    [14.443108320000022, 50.066323381000075],
                    [14.443235403000074, 50.06634590400006],
                    [14.44334182800003, 50.06635943900005],
                    [14.44340083000003, 50.066364219000036],
                    [14.443499923000047, 50.06637041700003],
                    [14.44373672000006, 50.06637909300008],
                    [14.443896228000028, 50.06638351700008],
                    [14.443977411000049, 50.066381679000074],
                    [14.444057027000042, 50.066378514000064],
                    [14.444135120000055, 50.06637377200008],
                    [14.444216630000028, 50.066366954000046],
                    [14.444371433000072, 50.06635020500005],
                    [14.444604102000028, 50.066319399000065],
                    [14.444930623000062, 50.06627467900006],
                    [14.445063594000032, 50.066256371000065],
                    [14.445058759000062, 50.06623613200003],
                    [14.444923410000058, 50.06625482000004],
                    [14.444599407000055, 50.06629989900006],
                    [14.44436481100007, 50.06633101400007],
                    [14.444210644000066, 50.06634829200004],
                    [14.44413343900004, 50.06635573600005],
                    [14.444053998000072, 50.06635986900005],
                    [14.44397478600007, 50.066362842000046],
                    [14.443897136000032, 50.06636379400004],
                    [14.443819198000028, 50.06636258700007],
                    [14.443739550000032, 50.06636073800007],
                    [14.443582152000033, 50.06635507800007],
                    [14.44350187300006, 50.06635103200006],
                    [14.443404135000037, 50.066345424000076],
                    [14.443346720000022, 50.06634007700006],
                    [14.443241561000036, 50.06632760700006],
                    [14.443117486000062, 50.06630487900003],
                    [14.442966530000035, 50.066276162000065],
                    [14.442870437000067, 50.06625616000008],
                    [14.442865644000051, 50.06626524500007],
                    [14.442861204000053, 50.06627366200007],
                    [14.442861064000056, 50.066273928000044],
                    [14.442957874000058, 50.066294001000074],
                ],
            ],
            [
                [
                    [14.442023651000056, 50.06601310500008],
                    [14.442038317000026, 50.06599511500008],
                    [14.441514275000031, 50.06581806600008],
                    [14.441501448000054, 50.06583139900005],
                    [14.442023651000056, 50.06601310500008],
                ],
            ],
        ],
        type: GeoCoordinatesType.MultiPolygon,
    },
    properties: {
        id: "tsk-p10-0101_16424",
        source: "tsk",
        source_id: "P10-0101",
        data_provider: "www.tsk-praha.cz/opendata.iprpraha.cz",
        name: "Vršovická",
        category: "zone_mixed",
        date_modified: null,
        address_formatted: "Ctiradova, 14000 Hlavní město Praha Nusle, Česko",
        address: {
            address_country: "Česko",
            address_formatted: "Ctiradova, 14000 Hlavní město Praha Nusle, Česko",
            address_locality: "Hlavní město Praha",
            address_region: "Nusle",
            postal_code: "14000",
            street_address: "Ctiradova",
        },
        area_served: null,
        web_app_payment_url: null,
        android_app_payment_url: null,
        ios_app_payment_url: null,
        total_spot_number: 49,
        tariff_id: "bfcfc515-369f-5093-b779-7091c520edd3",
        valid_from: "2020-06-26T20:47:07.213Z",
        valid_to: "2999-12-31T22:59:59.999Z",
        parking_type: "on_street",
        zone_type: "zone_mixed",
        centroid: {
            type: GeoCoordinatesType.Point,
            coordinates: [14.443355698017905, 50.066266757446506],
        },
        available_spots_last_updated: null,
        available_spots_number: null,
    },
    type: "Feature",
};

export const featureLocationItemData16425: IParkingsFeature = {
    geometry: {
        coordinates: [
            [
                [14.441543061000061, 50.06605791000004],
                [14.442488516000026, 50.066376425000044],
                [14.442502339000043, 50.06635842400004],
                [14.441556896000066, 50.066039911000075],
                [14.441543061000061, 50.06605791000004],
            ],
        ],
        type: GeoCoordinatesType.Polygon,
    },
    properties: {
        id: "tsk-p10-0101_16425",
        source: "tsk",
        source_id: "P10-0101",
        data_provider: "www.tsk-praha.cz/opendata.iprpraha.cz",
        name: "Vršovická",
        category: "zone_mixed",
        date_modified: null,
        address_formatted: "Vršovická, 10100 Praha Vršovice, Česko",
        address: {
            address_country: "Česko",
            address_formatted: "Vršovická, 10100 Praha Vršovice, Česko",
            address_locality: "Praha",
            address_region: "Vršovice",
            postal_code: "10100",
            street_address: "Vršovická",
        },
        area_served: null,
        web_app_payment_url: null,
        android_app_payment_url: null,
        ios_app_payment_url: null,
        total_spot_number: 49,
        tariff_id: "bfcfc515-369f-5093-b779-7091c520edd3",
        valid_from: "2020-06-26T20:47:07.213Z",
        valid_to: "2999-12-31T22:59:59.999Z",
        parking_type: "on_street",
        zone_type: "zone_mixed",
        centroid: {
            type: GeoCoordinatesType.Point,
            coordinates: [14.442022703000049, 50.06620816750005],
        },
        available_spots_last_updated: null,
        available_spots_number: null,
    },
    type: "Feature",
};
